// creator  : weidu.exe (version 23600)
// argument : MTBE6.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~MTBE6~

IF ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 0 // from:
  SAY #8128 /* ~The only thing I know of that might pique you interest are the rumors I've heard of an abandoned wizard's school to the east. I couldn't tell you where it is, but it's supposed to overflow with magical treasure.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #8058 /* ~The Wizard's School
We charmed a man named Galteran. He told us that there was an abandoned wizard school to the east, and that there was much treasure to be found there.~ */ EXIT
END

IF ~  NumberOfTimesTalkedTo(0)
ReactionGT(LastTalkedToBy(Myself),NEUTRAL_UPPER)
~ THEN BEGIN 1 // from:
  SAY #8122 /* ~Well, hello there. Not too sure what you expected to find in here, but perhaps you have come to the wrong house by mistake. I am Galteran, and I was just doing a bit of cleaning in the spare time I find myself with. Not much call for my grunt-type labor right now, what with caravans staying away. *sigh* Ah, well. Best be on your way, please.~ */
  IF ~~ THEN EXIT
END

IF ~  NumberOfTimesTalkedTo(0)
ReactionLT(LastTalkedToBy(Myself),FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN BEGIN 2 // from:
  SAY #8123 /* ~I do not know who you are or what you are doing in my home, but please leave. Sorry, but I have little patience right now. There is little call for my line of work when no caravans dare leave the city.~ */
  IF ~~ THEN EXIT
END

IF ~  NumberOfTimesTalkedTo(0)
ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN BEGIN 3 // from:
  SAY #8124 /* ~By all the saints, who are you and what are you doing in my home?! Leave at once! I do not wish to call the guards, but I will if I must!~ */
  IF ~~ THEN EXIT
END

IF ~  GlobalTimerExpired("Galteran","GLOBAL")
~ THEN BEGIN 4 // from:
  SAY #8127 /* ~I've already warned you to leave. If you do not do so immediately, I will call the guard to eject you forcibly.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Galteran","GLOBAL",30)
~ EXIT
END

IF ~  True()
~ THEN BEGIN 5 // from:
  SAY #9047 /* ~Get out of my sight! I'll do nothing for you!~ */
  IF ~~ THEN EXIT
END
